package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.engine.infa.InfoProperty;
import com.chenyang.nse.bussiness.engine.infa.basic.webservice.SessionBean;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreImporttask;
import com.chenyang.nse.bussiness.entity.orm.table.core.masking.TCoreMaskingTask;
import com.chenyang.nse.bussiness.entity.orm.table.core.masking.TCoreSyncKeyindex;
import com.chenyang.nse.bussiness.entity.orm.table.core.maskingself.TCoreMaskingselfTask;
import java.sql.Connection;
import java.util.List;
import java.util.Map;

public interface AllwaysMonitorService {
   SessionBean getLog(String taskid);

   SessionBean getTime(String taskid);

   boolean stopwork(String taskid, String wfname);

   boolean recoverywork(String taskid, String wfname);

   SessionBean getLogForTaskMapping(TCoreMaskingTask task, InfoProperty engine, String name);

   SessionBean getLogForImpMapping(TCoreMaskingTask task, InfoProperty engine, TCoreImporttask timptask);

   TCoreImporttask getImpTask(TCoreMaskingTask task);

   SessionBean getLogForSelfTaskMapping(TCoreMaskingselfTask task, InfoProperty engine, String name);

   SessionBean getRunid(TCoreMaskingTask task, InfoProperty engine, String name);

   Connection getConnectionByDataSystemId(String datasystemid);

   List<Map<String, String>> getSyncPrimary(String taskid, String sourcename, String targetname);

   List<Map<String, String>> getSyncIndex(String taskid, String sourcename, String targetname);

   TCoreSyncKeyindex getSyncKeyIndex(String taskid, String sourcename);

   SessionBean getSessionLog(TCoreMaskingTask task, String wfname, InfoProperty engine);
}
